/* c-win32.h -- the equivalent to c-auto.h for Win32 (where configure won't work) */
/* This must be changed manually whenever c-auto.in is changed. Sorry. */

/* kpathsea: the version string. */
#define KPSEVERSION "kpathsea version 3.2m"
/* web2c: the version string. */
#define WEB2CVERSION "**unused**"

#undef HAVE_BASENAME

/* Define if you have the ANSI C header files.  */
#define STDC_HEADERS

/* Define if your compiler understands prototypes.  */
#define HAVE_PROTOTYPES

/* Define if your putenv doesn't waste space when the same environment
   variable is assigned more than once, with different (malloced)
   values.  This is true only on NetBSD/FreeBSD, as far as I know. See
   xputenv.c.  */
#undef SMART_PUTENV

/* Define if getcwd if implemented using fork or vfork.  Let me know
   if you have to add this by hand because configure failed to detect
   it. */
#undef GETCWD_FORKS

/* Define if you are using GNU libc or otherwise have global variables
   `program_invocation_name' and `program_invocation_short_name'.  */
#undef HAVE_PROGRAM_INVOCATION_NAME

/* all: Define to enable running scripts when missing input files.  */
#define MAKE_TEX_MF_BY_DEFAULT 0
#define MAKE_TEX_PK_BY_DEFAULT 0
#define MAKE_TEX_TEX_BY_DEFAULT 0
#define MAKE_TEX_TFM_BY_DEFAULT 0
#define MAKE_OMEGA_OFM_BY_DEFAULT 0
#define MAKE_OMEGA_OCP_BY_DEFAULT 0

/* Define if you have the bcopy function.  */
#undef HAVE_BCOPY

/* Define if you have the getcwd function.  */
#define HAVE_GETCWD

/* Define if you have the getwd function.  */
#include <direct.h>
#define HAVE_GETWD

/* Define if you have the putenv function.  */
#define HAVE_PUTENV

/* Define if you have the strcasecmp function.  */
#define HAVE_STRCASECMP

/* Define if you have the strstr function.  */
#define HAVE_STRSTR

/* Define if you have the strtol function.  */
#define HAVE_STRTOL

/* Define if you have the <assert.h> header file.  */
#define HAVE_ASSERT_H

/* Define if you have the <dirent.h> header file.  */
#undef HAVE_DIRENT_H

/* Define if you have the <float.h> header file.  */
#define HAVE_FLOAT_H

/* Define if you have the <limits.h> header file.  */
#define HAVE_LIMITS_H

/* Define if you have the <memory.h> header file.  */
#define HAVE_MEMORY_H

/* Define if you have the <ndir.h> header file.  */
#undef HAVE_NDIR_H

/* Define if you have the <pwd.h> header file.  */
#undef HAVE_PWD_H

/* Define if you have the <stdlib.h> header file.  */
#define HAVE_STDLIB_H

/* Define if you have the <string.h> header file.  */
#define HAVE_STRING_H

/* Define if you have the <sys/dir.h> header file.  */
#undef HAVE_SYS_DIR_H

/* Define if you have the <sys/ndir.h> header file.  */
#undef HAVE_SYS_NDIR_H

/* Define if you have the <sys/param.h> header file.  */
#undef HAVE_SYS_PARAM_H

/* Define if you have the <unistd.h> header file.  */
#undef HAVE_UNISTD_H

/* Define if you do not have mktexpk. */
/* Sets order of arguments, among other things.
   The other things are irrelevant for WIN32,
   since we assume MikTeX. */
#define USE_MAKETEXPK

#define HAVE_BOOLEAN
#ifndef false
#define false (1==0)
#define true (42==42)
#endif

